#include <iostream>
#include <cmath>
using namespace std;
double dist(long long x1, long long y1, long long x2, long long y2) {
	return sqrt((x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2));
}

int main() {
	freopen("supper.in", "r", stdin);

	freopen("test.out", "w", stdout);
	long long x, y, r, x1, y1, x2, y2;
	cin >> x >> y >> r >> x1 >> y1 >> x2 >> y2;

	while (dist(x, y, x1, y1) <= r) {
		x1 = 2 * x1 - x2;
		y1 = 2 * y1 - y2;		
	}
	while (dist(x, y, x2, y2) <= r) {
		x2 = 2 * x2 - x1;
		y2 = 2 * y2 - y1;		
	}
	cout << x1 <<  ", " << y1 << ", "<<  x2 << ", " << y2;
}                                                                  
